//
//  QueryEditorViewController.swift
//  Busca Pios
//
//  Created by Santiago Pavón on 18/12/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import UIKit

class QueryEditorViewController: UIViewController {

    
    // Consulta a editar
    var query: String!
    
    @IBOutlet weak var queryTextField: UITextField!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        queryTextField.text = query
        
        queryTextField.becomeFirstResponder()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func donePressed(sender: UITextField) {
        
        performSegue(withIdentifier: "Edit Done", sender: queryTextField)
    }
    
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Edit Done" {
            
            query = queryTextField.text
            
        } else if segue.identifier == "Edit Cancel" {
            
            // No hago nada
        }
    }
}
